# InitState

Indicates the SDK initialization state.

<table data-header-hidden><thead><tr><th width="331">Attributes</th><th></th></tr></thead><tbody><tr><td><strong>NOT_INITIALIZED</strong></td><td>The SDK has not been initialized or a previous initialization attempt has failed. To initialize the SDK, call <a href="/pages/uNjsOY9D9ba5MPspvAxz#initialize"><code>Sentiance#initialize()</code></a> or <a href="/pages/uNjsOY9D9ba5MPspvAxz#initialize-sentianceoptions"><code>Sentiance#initialize(SentianceOptions)</code></a>.</td></tr><tr><td><strong>INIT_IN_PROGRESS</strong></td><td>Initialization is in progress. When it completes, Sentiance#initialize() or Sentiance#initialize(SentianceOptions) will return <a href="/pages/XxN0PSNVtNi83V5wG0p4"><code>InitializationResult</code></a>.<br><br>Do not call <a href="/pages/uNjsOY9D9ba5MPspvAxz#initialize"><code>Sentiance#initialize()</code></a> or <a href="/pages/uNjsOY9D9ba5MPspvAxz#initialize-sentianceoptions"><code>Sentiance#initialize(SentianceOptions)</code></a> during this state. Doing so will throw an <a href="/pages/-LXO5YkLdh_LcdBX6mMT"><code>SdkException</code></a>.</td></tr><tr><td></td><td></td></tr><tr><td><strong>INITIALIZED</strong></td><td>The SDK has been initialized. Do not call init during this state. Doing so will throw an <a href="/pages/-LXO5YkLdh_LcdBX6mMT"><code>SdkException</code></a>.</td></tr><tr><td><strong>RESETTING</strong></td><td>SDK reset is in progress as a result of calling <a href="https://github.com/sentiance/v4-docs/blob/main/sdk/api-reference/android/broken-reference/README.md"><code>reset(ResetCallback)</code></a>.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/initstate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
